Online ora  

/v1/reservation/

Native v2 reservation detail, share, and review endpoints.
GET

/v1/reservation/get_detail

#
Returns a native v2 reservation payload for the acting viewer. Public-by-design: anonymous share links reveal teaser metadata only; exact reservation details require sign-in.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
listingUUID string No "" Reservation/listing UUID.
sharecode string No "" Share code from /share/{code}.
reviewMode bool No false Include reviewer context when the acting user can review this reservation.
Esempio di richiesta (cURL)
curl --get \
  'https://it.appointmenttrader.com/v1/reservation/get_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'sharecode={{sharecode}}' \
  --data-urlencode 'reviewMode={{reviewMode}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$reservation_get_detail_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payload Sì
$.oneOf[0].allOf[1].Payload.oneOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].mode = "detail" Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].totalinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].submittedinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].urlstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].transactionIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].accessobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.canViewFullboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isOwnerboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isSharedGuestboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isReviewerboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isUnlockedDetailboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.authorizedByShareCodeboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.readOnly = true No
$.oneOf[0].allOf[1].Payload.oneOf[0].locationobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.aliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.addressstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.googleMapsURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.cityLinestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.timezonestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.imageURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservationobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.refundStatusLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.descriptorstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.inventoryNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.datestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateTimeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.partySizeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.checkInNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.emailstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.phonestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.detailStatementstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseSummarystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseAmountFormattedstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.headcountinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFieldsarray Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[]object No
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].labelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].descriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].typestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].valuestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.isPastboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].peopleobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].people.ownerAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].people.creatorAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guestsReservationGuests Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[0]array Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].shareURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].headcountinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].confirmedCountinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].pendingSlotsinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].itemsarray Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[]object No
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].kindstring ["owner","shared"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].aliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].statusstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].lastSeenLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reviewReservationReview Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[0]array Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].canReview = false Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].isActive = false Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].revisionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].canReview = true Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isActive = true Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].needsBeginboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isInProgressboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isSelfReviewboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardEligibleboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardPointsinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceSmallestUnitinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardFormattedstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceFormattedstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].questionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByDatestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByTimestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].legacyReviewURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].amountFormattedstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].discussionURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].historyarray Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[]object No
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].createdLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].statusstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionHTMLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].reviewerAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actionsReservationActions Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].shareURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceCheckoutURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceLocationNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceInventoryNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceDateLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceTimeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportProblemURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatV2URLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatV2URLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].absoluteShareURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAppointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceSmallestUnitinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].manageAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportInfractionAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferServiceobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.visibleboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isRequestedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isInTransferboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isCompletedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isFailedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.typestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.statusstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.currentNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedGivenNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedFamilyNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedByAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedAtstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestEndpointstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelEndpointstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].promptstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellEndpointstring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellListingIDstring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellLocationNamestring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellInventoryNamestring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellDateLabelstring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTimeLabelstring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAppointmentIDinteger No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellCurrentPriceSmallestUnitinteger No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMinPriceinteger No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMaxPriceinteger No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTransferFeeBasisPointsinteger No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRequiresReviewboolean No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSelfReviewAvailableboolean No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRelistOriginalboolean No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffersarray No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[]object No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].timeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].priceLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].inventoryTypestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[1]array Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].copyobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.descriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].mode = "teaser" Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].shareCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].shareURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].ownerAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].locationobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].location.idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].location.namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].location.categoryDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].location.citystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].location.imageURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].reservationobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].reservation.descriptorstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].reservation.partySizeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].copyobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].copy.titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].copy.descriptionstring Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/get_detail",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        }
    }
}
Documentazione dell’endpoint leggibile dalle macchine
GET

/v1/reservation/get_transfer_detail

#
Returns read-only reservation details for a transfer chat participant. Requires the current buyer or assigned transfer agent and a matching transfer chat. Locked buyers receive a summary and time window, without private booking fields. Opening this view never accepts a share invitation or changes the transfer.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
transferChatID int No 0 Transfer chat ID.
Esempio di richiesta (cURL)
curl --get \
  'https://it.appointmenttrader.com/v1/reservation/get_transfer_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'transferChatID={{transferChatID}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$reservation_get_transfer_detail_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.mode = "detail" Sì
$.oneOf[0].allOf[1].Payload.customerSurveys Sì
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].totalinteger Sì
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].submittedinteger Sì
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].urlstring Sì
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].transactionIDinteger Sì
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.accessobject Sì
$.oneOf[0].allOf[1].Payload.access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] Sì
$.oneOf[0].allOf[1].Payload.access.canViewFullboolean Sì
$.oneOf[0].allOf[1].Payload.access.isOwnerboolean Sì
$.oneOf[0].allOf[1].Payload.access.isSharedGuestboolean Sì
$.oneOf[0].allOf[1].Payload.access.isReviewerboolean Sì
$.oneOf[0].allOf[1].Payload.access.isUnlockedDetailboolean Sì
$.oneOf[0].allOf[1].Payload.access.authorizedByShareCodeboolean Sì
$.oneOf[0].allOf[1].Payload.access.readOnly = true No
$.oneOf[0].allOf[1].Payload.locationobject Sì
$.oneOf[0].allOf[1].Payload.location.idinteger Sì
$.oneOf[0].allOf[1].Payload.location.namestring Sì
$.oneOf[0].allOf[1].Payload.location.aliasstring Sì
$.oneOf[0].allOf[1].Payload.location.addressstring Sì
$.oneOf[0].allOf[1].Payload.location.googleMapsURLstring Sì
$.oneOf[0].allOf[1].Payload.location.cityLinestring Sì
$.oneOf[0].allOf[1].Payload.location.timezonestring Sì
$.oneOf[0].allOf[1].Payload.location.imageURLstring Sì
$.oneOf[0].allOf[1].Payload.reservationobject Sì
$.oneOf[0].allOf[1].Payload.reservation.refundStatusLabelstring Sì
$.oneOf[0].allOf[1].Payload.reservation.descriptorstring Sì
$.oneOf[0].allOf[1].Payload.reservation.inventoryNamestring Sì
$.oneOf[0].allOf[1].Payload.reservation.datestring Sì
$.oneOf[0].allOf[1].Payload.reservation.timestring Sì
$.oneOf[0].allOf[1].Payload.reservation.dateLabelstring Sì
$.oneOf[0].allOf[1].Payload.reservation.timeLabelstring Sì
$.oneOf[0].allOf[1].Payload.reservation.dateTimeLabelstring Sì
$.oneOf[0].allOf[1].Payload.reservation.partySizeLabelstring Sì
$.oneOf[0].allOf[1].Payload.reservation.checkInNamestring Sì
$.oneOf[0].allOf[1].Payload.reservation.emailstring Sì
$.oneOf[0].allOf[1].Payload.reservation.phonestring Sì
$.oneOf[0].allOf[1].Payload.reservation.detailStatementstring Sì
$.oneOf[0].allOf[1].Payload.reservation.purchaseSummarystring Sì
$.oneOf[0].allOf[1].Payload.reservation.purchaseAmountFormattedstring Sì
$.oneOf[0].allOf[1].Payload.reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] Sì
$.oneOf[0].allOf[1].Payload.reservation.headcountinteger Sì
$.oneOf[0].allOf[1].Payload.reservation.customFieldsarray Sì
$.oneOf[0].allOf[1].Payload.reservation.customFields[]object No
$.oneOf[0].allOf[1].Payload.reservation.customFields[].idinteger Sì
$.oneOf[0].allOf[1].Payload.reservation.customFields[].labelstring Sì
$.oneOf[0].allOf[1].Payload.reservation.customFields[].descriptionstring Sì
$.oneOf[0].allOf[1].Payload.reservation.customFields[].typestring Sì
$.oneOf[0].allOf[1].Payload.reservation.customFields[].valuestring Sì
$.oneOf[0].allOf[1].Payload.reservation.isPastboolean Sì
$.oneOf[0].allOf[1].Payload.peopleobject Sì
$.oneOf[0].allOf[1].Payload.people.ownerAliasstring Sì
$.oneOf[0].allOf[1].Payload.people.creatorAliasstring Sì
$.oneOf[0].allOf[1].Payload.guestsReservationGuests Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[0]array Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1]object Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].shareURLstring Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].headcountinteger Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].confirmedCountinteger Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].pendingSlotsinteger Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].itemsarray Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[]object No
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].kindstring ["owner","shared"] Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].namestring Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].aliasstring Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].statusstring Sì
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].lastSeenLabelstring Sì
$.oneOf[0].allOf[1].Payload.reviewReservationReview Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[0]array Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[1]object Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[1].canReview = false Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[1].isActive = false Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2]object Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].revisionstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].canReview = true Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isActive = true Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].needsBeginboolean Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isInProgressboolean Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isSelfReviewboolean Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardEligibleboolean Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardPointsinteger Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].askingPriceSmallestUnitinteger Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardFormattedstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].askingPriceFormattedstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].questionstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByDatestring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByTimestring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByLabelstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].legacyReviewURLstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].amountFormattedstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].discussionURLstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].historyarray Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[]object No
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].createdLabelstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].statusstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].descriptionstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].descriptionHTMLstring Sì
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].reviewerAliasstring Sì
$.oneOf[0].allOf[1].Payload.actionsReservationActions Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].shareURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceCheckoutURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServicePriceLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceLocationNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceInventoryNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceDateLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceTimeLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reportProblemURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatV2URLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatV2URLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].absoluteShareURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addServiceAppointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServicePriceSmallestUnitinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addServiceAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].manageAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reportInfractionAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferServiceobject Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.visibleboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.cancelAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isRequestedboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isInTransferboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isCompletedboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isFailedboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.typestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.statusstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.currentNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedGivenNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedFamilyNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedByAliasstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedAtstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestEndpointstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.cancelEndpointstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].titlestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].promptstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellEndpointstring No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellListingIDstring No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellLocationNamestring No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellInventoryNamestring No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellDateLabelstring No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellTimeLabelstring No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellAppointmentIDinteger No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellCurrentPriceSmallestUnitinteger No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellMinPriceinteger No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellMaxPriceinteger No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellTransferFeeBasisPointsinteger No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellRequiresReviewboolean No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSelfReviewAvailableboolean No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellRelistOriginalboolean No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffersarray No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[]object No
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].timeLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].priceLabelstring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].inventoryTypestring Sì
$.oneOf[0].allOf[1].Payload.actions.anyOf[1]array Sì
$.oneOf[0].allOf[1].Payload.copyobject Sì
$.oneOf[0].allOf[1].Payload.copy.titlestring Sì
$.oneOf[0].allOf[1].Payload.copy.descriptionstring Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/get_transfer_detail",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        }
    }
}
Documentazione dell’endpoint leggibile dalle macchine
POST

/v1/reservation/set_accept_sharecode

#
Accepts a share code for the acting signed-in user.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
sharecode string No "" Share code from /share/{code}.
incognito bool No false If true, validates the share code but does not add the acting user as a shared guest.
isWritingRequest bool No false Must be true to write the share acceptance.
Esempio di richiesta (cURL)
curl --request POST \
  'https://it.appointmenttrader.com/v1/reservation/set_accept_sharecode' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'sharecode={{sharecode}}' \
  --data-urlencode 'incognito={{incognito}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$reservation_set_accept_sharecode_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.listingUUID Sì
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[1] = null Sì
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[2] = false Sì
$.oneOf[0].allOf[1].Payload.detailURLstring Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_accept_sharecode",
    "RequestUserAlias": "example-user",
    "Payload": {
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
Documentazione dell’endpoint leggibile dalle macchine
POST

/v1/reservation/set_approve_review

#
Approves a native reservation review for the acting reviewer.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
listingUUID string No "" Reservation/listing UUID.
isWritingRequest bool No false Must be true to approve the review.
expectedRevision string No "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
Esempio di richiesta (cURL)
curl --request POST \
  'https://it.appointmenttrader.com/v1/reservation/set_approve_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$reservation_set_approve_review_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.success = true Sì
$.oneOf[0].allOf[1].Payload.messagestring Sì
$.oneOf[0].allOf[1].Payload.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.pointsReceivedDatabaseNumber SìNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.pointsReceived.oneOf[0]number Sì
$.oneOf[0].allOf[1].Payload.pointsReceived.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.newBalance Sì
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0]DatabaseNumber SìNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0].oneOf[0]number Sì
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[1]null Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_approve_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "pointsReceived": 0,
        "newBalance": 0
    }
}
Documentazione dell’endpoint leggibile dalle macchine
POST

/v1/reservation/set_begin_review

#
Begins native reservation review for the acting reviewer.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
listingUUID string No "" Reservation/listing UUID.
isWritingRequest bool No false Must be true to claim the review.
expectedRevision string No "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
Esempio di richiesta (cURL)
curl --request POST \
  'https://it.appointmenttrader.com/v1/reservation/set_begin_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$reservation_set_begin_review_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.success = true Sì
$.oneOf[0].allOf[1].Payload.messagestring Sì
$.oneOf[0].allOf[1].Payload.appointmentIDinteger Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_begin_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0
    }
}
Documentazione dell’endpoint leggibile dalle macchine
POST

/v1/reservation/set_cancel_transfer_service

#
Cancels transfer service for the acting buyer's reservation, including transfer work already in progress.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
listingUUID string No "" Reservation/listing UUID.
isWritingRequest bool No false Must be true to cancel transfer service.
Esempio di richiesta (cURL)
curl --request POST \
  'https://it.appointmenttrader.com/v1/reservation/set_cancel_transfer_service' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$reservation_set_cancel_transfer_service_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.success = true Sì
$.oneOf[0].allOf[1].Payload.messagestring Sì
$.oneOf[0].allOf[1].Payload.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.statusstring Sì
$.oneOf[0].allOf[1].Payload.detailURLstring Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_cancel_transfer_service",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "status": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
Documentazione dell’endpoint leggibile dalle macchine
POST

/v1/reservation/set_reject_review

#
Rejects a native reservation review for the acting reviewer.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
listingUUID string No "" Reservation/listing UUID.
reason string No "" Revision reason for the seller.
respondByDate string No "" Respond-by date.
respondByTime string No "" Respond-by time.
isWritingRequest bool No false Must be true to reject the review.
expectedRevision string No "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
Esempio di richiesta (cURL)
curl --request POST \
  'https://it.appointmenttrader.com/v1/reservation/set_reject_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'reason={{reason}}' \
  --data-urlencode 'respondByDate={{respondByDate}}' \
  --data-urlencode 'respondByTime={{respondByTime}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$reservation_set_reject_review_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payload Sì
$.oneOf[0].allOf[1].Payload.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.anyOf[0].success = true Sì
$.oneOf[0].allOf[1].Payload.anyOf[0].messagestring Sì
$.oneOf[0].allOf[1].Payload.anyOf[0].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.anyOf[0].revisionURLstring Sì
$.oneOf[0].allOf[1].Payload.anyOf[1]object Sì
$.oneOf[0].allOf[1].Payload.anyOf[1].success = true Sì
$.oneOf[0].allOf[1].Payload.anyOf[1].messagestring Sì
$.oneOf[0].allOf[1].Payload.anyOf[1].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceivedDatabaseNumber SìNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceived.oneOf[0]number Sì
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceived.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance Sì
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0]DatabaseNumber SìNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0].oneOf[0]number Sì
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[1]null Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_reject_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "revisionURL": "synthetic-example"
    }
}
Documentazione dell’endpoint leggibile dalle macchine
POST

/v1/reservation/set_request_transfer_service

#
Requests transfer service for the acting buyer's reservation.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
listingUUID string No "" Reservation/listing UUID.
givenName string No "" First name to put on the reservation.
familyName string No "" Last name to put on the reservation.
isWritingRequest bool No false Must be true to request the transfer.
Esempio di richiesta (cURL)
curl --request POST \
  'https://it.appointmenttrader.com/v1/reservation/set_request_transfer_service' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'givenName={{givenName}}' \
  --data-urlencode 'familyName={{familyName}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$reservation_set_request_transfer_service_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.success = true Sì
$.oneOf[0].allOf[1].Payload.messagestring Sì
$.oneOf[0].allOf[1].Payload.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.status = "Transfer Requested" Sì
$.oneOf[0].allOf[1].Payload.requestedNamestring Sì
$.oneOf[0].allOf[1].Payload.detailURLstring Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_request_transfer_service",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "status": "Transfer Requested",
        "requestedName": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
Documentazione dell’endpoint leggibile dalle macchine